#
# spec file for package libxslt-python
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libxslt-python
BuildRequires:  libgcrypt-devel
BuildRequires:  libgpg-error-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  libxml2-python
BuildRequires:  python-devel
BuildRequires:  python-xml
%if 0%{?suse_version} >= 1220
BuildRequires:  libxslt-tools
Requires:       libxslt1 = %{version}
%else
BuildRequires:  libxslt1
Requires:       libxslt1 = %{version}
%endif
Summary:        Python Bindings for libxslt
License:        MIT
Group:          Development/Libraries/Python
Version:        1.1.28
Release:        0
Source:         ftp://xmlsoft.org/libxslt/libxslt-%{version}.tar.gz
# Uncomment to save space:
#NoSource:      0
Patch0:         libxslt-1.1.24-linkflags.patch
# pbleser: don't build the doc subdir as it's broken and we don't install
# it anyway; neither build the xsltproc subdir (not packaged here, faster)
Patch1:         libxslt-do_not_build_doc_nor_xsltproc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}
Url:            http://xmlsoft.org/XSLT/
#BuildArch:      noarch

%description
The libxslt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxslt library to apply XSLT transformations.

This library allows parsing stylesheets. It uses the libxml2-python to
load and save XML and HTML files. Direct access to XPath and the XSLT
transformation context are possible. Thus it is possible to extend the
XSLT language with XPath functions written in Python.

%prep
%setup -q -n libxslt-%{version}
%patch0
%patch1

%build
autoreconf --force --install
%configure --with-python=%__python --with-pic --disable-static --disable-silent-rules
make %{?_smp_mflags} PYTHON_SITE_PACKAGES=%{py_sitedir} pythondir=%{py_sitedir}

%install
make install PYTHON_SITE_PACKAGES=%{py_sitedir} pythondir=%{py_sitedir} DESTDIR=$RPM_BUILD_ROOT
# Unwanted doc stuff
rm -fr $RPM_BUILD_ROOT%{_datadir}/doc
# #223696
find %{buildroot} -type f -name "*.la" -print -delete

# Stuff we won't package
rm -rf %{buildroot}/%{_bindir}/* %{buildroot}/%{_libdir}/lib** %{buildroot}/%{_includedir}/*
rm -rf %{buildroot}/%{_mandir}/* %{buildroot}/%{_libdir}/pkgconfig/*
rm -rf %{buildroot}/%{_libdir}/xsltConf.sh %{buildroot}/%{_datadir}/aclocal/libxslt.m4

%files
%defattr(-, root, root)
%{py_sitedir}/*
%doc python/libxslt-python-api.xml
%doc python/tests/*.py
%doc python/tests/*.xml
%doc python/tests/*.xsl

%changelog
